﻿using System;
using System.Linq;
using System.Activities;
using System.Activities.Statements;
using System.Collections.Generic;// need to include this namespace

namespace WF_With_Arguments
{

    class Program
    {
        static void Main(string[] args)
        {
            //Creating object for the class student and passing values to the properties
            //Student std = new Student() { Student_Name = "Baskar", Student_Department = "Mechanical", Student_Year = "FIRST" };

            //You can uncomment this for testing the other cases
            Student std = new Student() { Student_Name = "Baskar", Student_Department = "ComputerScience", Student_Year = "FIRST" };
            //Student std = new Student() { Student_Name = "Baskar", Student_Department = "Meechanical", Student_Year = "FIRST" };
            
                        
            //Dictionary Created.With the input arguments
            IDictionary<string, object> input = new Dictionary<string, object>
                {
                    { "StudentInfo" , std }
                };
                       
            // Code to execute the WF
            IDictionary<string, object> output = WorkflowInvoker.Invoke(new Workflow1(), input);
            
            // Get the TotalAmount returned by the workflow
            int student_Fees = (int)output["Fees"];
            Console.WriteLine("____________________________");
            Console.WriteLine("For the "+std.Student_Department.ToString() + " Department");
            Console.WriteLine("The Fees is :{0} ", student_Fees);
            Console.WriteLine("____________________________");
            Console.WriteLine("Press ENTER to exit");
            Console.ReadLine();
        }
    }
}
